JMTPFS(1)

NAME
jmtpfs - FUSE based filesystem for accessing MTP devices

SYNOPSIS
jmtpfs [options] MOUNTPOINT

DESCRIPTION
jmtpfs is a FUSE and libmtp based filesystem for accessing MTP (Media Transfer Protocol) devices. It was specifically designed for exchanging files between Linux (and Mac OS X) systems and newer Android devices that support MTP but not USB Mass Storage. The goal is to create a well-behaved filesystem, allowing tools like find(1) and rsync(1) to work as expected. MTP file types are set automatically based on file type detection using libmagic(3). Setting the file type is necessary for some Android applications, like Gallery, to be able to find and use the files uploaded to the device.

USAGE
For regular use, simply specifying a MOUNTPOINT will have the first available MTP device mounted under it. Mounted devices should be unmounted using

    fusermount -u MOUNTPOINT

(see fusermount(1) for more details). Note: most (if not all) Android phones have to be unlocked when first accessed over MTP; if you get an input/output error on the mountpoint, unlock the phone and retry.

OPTIONS
jmtpfs accepts the following options:

-h  Show summary of options.

-V, --version
    Show the program version.

-l, --listDevices
    List all available MTP devices.

-device=<busnum>,<devnum>
    Specify the device to mount. If unspecified, the first device found is used.

In addition to these options, all options supported by fuse(8) are available. See jmtpfs -h for more information.

SEE ALSO
fuse(8), fusermount(1)

AUTHORS
jmtpfs was written by Jason Ferrara <jason.ferrara@jacquette.com>. This manual page was written by Apollon Oikonomopoulos <apoikos@debian.org>, for the Debian project (but may be used by others).